Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174354 - umoven I/O error in connect()
Summary: umoven I/O error in connect()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: strace
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stepan Kasal
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-11-28 12:26 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0408
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:57:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
writevx.c (deleted)
2005-11-28 12:26 UTC, Bastien Nocera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0408 normal SHIPPED_LIVE strace bug fix update 2006-07-19 19:06:00 UTC

Description Bastien Nocera 2005-11-28 12:26:08 UTC
strace-4.5.12-0.EL3.1 for x86_64

writex is a 32-bit binary.

$ strace -v ./writevx 1.1.1.1 23
execve("./writevx", ["./writevx", "1.1.1.1", "23"],
["HOSTNAME=test.surrey.redhat."..., "TERM=xterm-color", "SHELL=/bin/bash",
"HISTSIZE=1000", "SSH_CLIENT=172.16.10.53 45832 22"...,
"QTDIR=/usr/lib64/qt-3.1", "SSH_TTY=/dev/pts/0", "USER=bnocera",
"LS_COLORS=no=00:fi=00:di=01;34:l"..., "MAIL=/var/spool/mail/bnocera",
"PATH=/usr/kerberos/bin:/usr/loca"..., "INPUTRC=/etc/inputrc",
"PWD=/home/bnocera", "LANG=en_GB.UTF-8", "SSH_ASKPASS=/usr/libexec/openssh"...,
"SHLVL=1", "HOME=/home/bnocera", "LOGNAME=bnocera", "SSH_CONNECTION=172.16.10.53
4583"..., "LESSOPEN=|/usr/bin/lesspipe.sh %"..., "G_BROKEN_FILENAMES=1",
"_=/usr/bin/strace"]) = 0
[ Process PID=16777 runs in 32 bit mode. ]
uname({sysname="Linux", nodename="test.surrey.redhat.com",
release="2.4.21-37.EL", version="#1 SMP Wed Sep 7 13:32:18 EDT 2005",
machine="x86_64"}) = 0
brk(0)                                  = 0x804a000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(0x3, 0xffff9458)                = 0
old_mmap(NULL, 117825, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40016000
close(3)                                = 0
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200X\1"..., 512) = 512
fstat64(0x3, 0xffff94d0)                = 0
old_mmap(NULL, 1280524, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x40033000
old_mmap(0x40166000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x132000) = 0x40166000
old_mmap(0x40169000, 10764, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40169000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x4016c000
set_thread_area(0xffff9af0)             = 0
munmap(0x40016000, 117825)              = 0
socket(PF_INET, 0 /* SOCK_??? */, 134513437) = 3
connect(-108508053766141, ptrace: umoven: Input/output error
{...}, 134513437 <unfinished ...>

Comment 1 Bastien Nocera 2005-11-28 12:26:09 UTC
Created attachment 121540 [details]
writevx.c

Comment 2 Roland McGrath 2006-01-12 10:16:20 UTC
The bug is in the biarch decoding the "subcall" type syscalls like the i386
socket syscalls when strace is 64 bit. I've put in a fix upstream.

Comment 6 Bob Johnson 2006-04-11 15:49:09 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 14 Red Hat Bugzilla 2006-07-20 14:57:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0408.html



Note You need to log in before you can comment on or make changes to this bug.